import java.util.ArrayList;

/**
 * 
 */

/**
 * @author Ali
 *
 */
public class Paint {
	private ArrayList<Shape> shapes ;
	public Paint() {
		shapes = new ArrayList<Shape>() ;
	}
	public void addShape(Shape shape) {
		shapes.add(shape) ;
	}
	public void drawAll() {
		for(Shape shape : shapes) {
			shape.draw();
		}
	}
	public void printAll() {
		for(Shape shape : shapes) {
			System.out.println(shape.toString());
		}
	}
	public void describeEqualSides() {
		for(Shape shape : shapes) {
			if(shape instanceof Rectangle) {
				if(((Rectangle) shape).isSquare()) {
					System.out.println(shape.toString());
				}
			}
			else if(shape instanceof Triangle) {
				if(((Triangle) shape).isEqulateral()) {
					System.out.println(shape.toString());
				}
			}
		}
	}

}
