
public abstract class Shape {
	/**
	 * Calculate perimeter of Shape
	 * @return perimeter of Shape
	 */
	public abstract double calculatePerimeter() ;
	/**
	 * Get area of Shape
	 * @return area of Shape
	 */
	public abstract double calculateArea() ;
	/**
	 * print info f Shape
	 */
	public void draw() {
		System.out.println("Shape is \""+ this.getClass().getName()
				+ " | perimeter: "+ calculatePerimeter()
				+ " | Area: " + calculateArea());
	}
	@Override
	public String toString() {
		return this.getClass().getName() + "All sides: ";
	}
	@Override
	public abstract boolean equals(Object obj) ;
	@Override
	public abstract int hashCode() ;
}
