
public class Rectangle extends Polygon{
	/**
	 * Create a new rectangle
	 * @param sides sides of rectangle
	 */
	public Rectangle(Integer... sides) {
		super(sides) ;
	}
	/**
	 * Calculate area of rectangle
	 */
	@Override
	public double calculateArea() {
		return getSides().get(0)*getSides().get(1) ;
	}
	/**
	 * @return returns true if shape be square
	 */
	public boolean isSquare() {
		if(getSides().get(0) == getSides().get(1))
			return true ;
		return false ;
	}
}
